forceupdate 0.0.6
forceupdate: ^0.0.6 copied to clipboard

Flutter Android iOS

This package is use for check new version available both ios and android. If it has a new version, you can link to app store or play store.

forceupdate #

This package is use for check new version available both ios and android. If it has a new version, you can link to app store or play store. But you need to know app id in store first.

See more at the Dart Packages page.

Screenshots!

Installation #

Add force_update as a dependency in your pubspec.yaml file.

      forceupdate: ^0.0.5

Usage #

In main.dart (or wherever your app is initialized), create an instance of CheckVersion using your current build context. final checkVersion = CheckVersion(context: context);. Then now you can get app version status by add this line :

final appStatus = await checkVersion.getVersionStatus();
if (appStatus.canUpdate) {
      checkVersion.showUpdateDialog(
          "com.companyName.projectName", "id1234567890");
}
    print("canUpdate ${appStatus.canUpdate}");
    print("localVersion ${appStatus.localVersion}");
    print("appStoreLink ${appStatus.appStoreUrl}");
    print("storeVersion ${appStatus.storeVersion}");

force_update #

3
likes
90
pub points
62%
popularity

This package is use for check new version available both ios and android. If it has a new version, you can link to app store or play store.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

sidahoil88@gmail.com

License

MIT (LICENSE)

Dependencies

flutter, html, http, package_info

More

Packages that depend on forceupdate